<?php

namespace App\Http\Livewire\Language;

use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Auth;
use Livewire\Component;

class SetLanguage extends Component
{
    public $set_language;
    protected $listeners = ['refreshComponent' => '$refresh'];

    public function set_language($lang){
        app()->setLocale($lang);
        session()->put('app_locale', $lang);
        if(Auth::user()){

            $expires = time() + 60 * 60 * 24 * 365; // one year
            setcookie('cookie_app_locale', $lang, $expires, '/');
            Auth::user()->update(['default_lang' => $lang]);
//            after redirect LanquageManager middlware chages language in app local
        }
        return redirect(request()->header('Referer'));
    }

    public function render()
    {
        return view('livewire.language.set-language');
    }
}
