<?php

namespace App\Http\Livewire\Permissions;

use Livewire\Component;
use Livewire\WithPagination;
use Spatie\Permission\Models\Permission;
use ProtoneMedia\LaravelCrossEloquentSearch\Search;

class PermissionsCrud extends Component
{
    use WithPagination;

    protected $listeners = ['refreshComponent' => '$refresh', 'successAlert', 'successError'];

    public $searchKeyword;

    public function render()
    {
        if (!empty($this->searchKeyword)) {
            $permissions = Search::add(Permission::class, 'name')
                ->paginate(10)
                ->search($this->searchKeyword);
        } else {
            $permissions = Permission::paginate(10);
        }
        return view('livewire.permissions.permissions-crud', [
            'permissions' => $permissions,
        ]);
    }

    public function successAlert($message)
    {
        session()->flash('message', $message);
    }

    public function successError($message)
    {
        session()->flash('error', $message);
    }
}
