<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Cookie;

class LanguageManager
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */

    public function handle(Request $request, Closure $next)
    {
        if(isset($_COOKIE['cookie_app_locale'])){
            $get_cookie = $_COOKIE['cookie_app_locale'];
            App::setLocale($get_cookie);
            if(Auth::user()) {
                Auth::user()->update(['default_lang' => $get_cookie]);
            }
        }elseif (Auth::user() && Auth::user()->default_lang){
            App::setLocale(Auth::user()->default_lang);
        }elseif (session()->has('app_locale')) {
            $lang = session()->get('app_locale');
            App::setLocale($lang);
            if(Auth::user()){
                Auth::user()->update(['default_lang' => $lang]);
            }
        }

        return $next($request);
    }
}
