<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class JobDescription extends Model
{
    use HasFactory;

    protected $fillable = [
        'name',
        'description',
    ];

    public function users_data()
    {
        return $this->hasMany(UserData::class);
    }

    public function job_users()
    {
        return $this->hasManyThrough(User::class, UserData::class, 'job_description_id', 'id', 'id', 'user_id');
    }
}
