<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ReminderTask extends Model
{
    use HasFactory;
    
    protected $guarded = [];

    public function task()
    {
        return $this->belongsTo(Task::class);
    }

    public function job()
    {
        return $this->belongsTo(Job::class);
    }

    protected static function boot()
    {
        parent::boot();

        static::addGlobalScope('finished', function (Builder $builder) {
            $builder->where('finished', false);
        });
    }
}
