<x-slot name="header">
    <h2 class="font-semibold text-xl leading-tight dark:text-white">
        {{ __('messages.Manage Job License') }}
    </h2>
</x-slot>
<div class="w-full overflow-hidden rounded-lg shadow-xs bg-white text-gray-800 dark:bg-gray-800 dark:text-white">
    <div class="w-full overflow-x-auto">
        @include('components.notifications.notification_message')

        @can('manage job licenses')
        <button wire:click="create()" class="text-white bg-gradient-to-r from-cyan-500 to-blue-500 hover:bg-gradient-to-bl focus:ring-4 focus:outline-none focus:ring-cyan-300 dark:focus:ring-cyan-800 font-medium rounded-lg text-sm px-5 py-2.5 text-center mr-2 mb-2">
            {{ __('messages.Create Job License') }}
        </button>
        @endcan

        @if($isOpen)
            @include('livewire.job-license.job_license_modal')
        @endif
        <table class="table-auto">
            <thead>
                <tr class="text-xs font-semibold tracking-wide text-left text-gray-500 uppercase border-b dark:border-gray-800 bg-gray-50 dark:text-gray-400 dark:bg-gray-700">
                    {{-- <th class="w-12 text-center">{{ __('messages.No.') }}</th> --}}
                    <th class="px-6 py-3 w-64">{{ __('messages.Name') }}</th>
                    <th class="px-6 py-3 w-96">{{ __('messages.Description') }}</th>
                    <th class="px-6 py-3 text-center">{{ __('messages.License number') }}</th>
                    <th class="px-6 py-3 text-center">{{ __('messages.Actions') }}</th>
                </tr>
            </thead>
            <tbody class="bg-white divide-y dark:divide-gray-600 dark:bg-gray-700">
                @foreach ($job_licenses as $job_license)
                <tr class="bg-white text-gray-700 hover:text-gray-900 hover:bg-gray-100 dark:text-gray-400 dark:bg-gray-800 dark:hover:text-gray-200 dark:hover:bg-gray-600">
                    {{-- <td class="w-12">
                        <div class="text-center text-md">
                            <div>
                                <p class="font-semibold">
                                    {{ $number += 1 }}.
                                </p>
                            </div>
                        </div>
                    </td> --}}
                    <td class="px-6 py-1">
                        <div class="text-left text-md">
                            <div>
                                <p>
                                    @can('manage job licenses')
                                    <button
                                        wire:click="show({{ $job_license->id }})"
                                        class="hover:underline text-black dark:text-gray-400 font-semibold">
                                    @endcan
                                        {{ $job_license->name }}
                                    @can('manage job licenses')
                                    </button>
                                    @endcan
                                </p>
                            </div>
                        </div>
                    </td>
                    <td class="px-6 py-1">
                        <div class="text-left text-md">
                            <div>
                                <p>
                                    {!! \Illuminate\Support\Str::limit($job_license->description, 40, '...') !!}
                                </p>
                            </div>
                        </div>
                    </td>
                    <td class="px-6 py-1">
                        <div class="text-center text-md">
                            <div>
                                <p>
                                    {{ $job_license->license_number }}
                                </p>
                            </div>
                        </div>
                    </td>
                    <td class="inline-flex px-6 py-1">
                        @can('manage job licenses')
                        <button
                            wire:click="show({{ $job_license->id }})"
                            class="inline-flex items-center text-white bg-blue-700 hover:bg-blue-800 focus:outline-none focus:ring-4 focus:ring-blue-300 font-medium rounded-full text-sm h-10 px-5 m-2 text-center dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800"
                            type="button"
                            >
                            <svg class="h-5 w-5 mr-1" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
                                <path d="M10 12a2 2 0 100-4 2 2 0 000 4z"></path><path fill-rule="evenodd" d="M.458 10C1.732 5.943 5.522 3 10 3s8.268 2.943 9.542 7c-1.274 4.057-5.064 7-9.542 7S1.732 14.057.458 10zM14 10a4 4 0 11-8 0 4 4 0 018 0z" clip-rule="evenodd"></path>
                            </svg>
                            {{ __('messages.View') }}
                        </button>
                        @endcan

                        @can('manage job licenses')
                        <button
                            wire:click="edit({{ $job_license->id }})"
                            class="inline-flex items-center text-white bg-green-700 hover:bg-green-800 focus:outline-none focus:ring-4 focus:ring-green-300 font-medium rounded-full text-sm h-10 px-5 m-2 text-center dark:bg-green-600 dark:hover:bg-green-700 dark:focus:ring-green-800"
                            type="button"
                            >
                            <svg fill="#ffffff" xmlns="http://www.w3.org/2000/svg" class="h-5 w-5 mr-1" viewBox="0 0 32 32" width="20px" height="20px">
                                <path d="M 23.90625 3.96875 C 22.859375 3.96875 21.8125 4.375 21 5.1875 L 5.1875 21 L 5.125 21.3125 L 4.03125 26.8125 L 3.71875 28.28125 L 5.1875 27.96875 L 10.6875 26.875 L 11 26.8125 L 26.8125 11 C 28.4375 9.375 28.4375 6.8125 26.8125 5.1875 C 26 4.375 24.953125 3.96875 23.90625 3.96875 Z M 23.90625 5.875 C 24.410156 5.875 24.917969 6.105469 25.40625 6.59375 C 26.378906 7.566406 26.378906 8.621094 25.40625 9.59375 L 24.6875 10.28125 L 21.71875 7.3125 L 22.40625 6.59375 C 22.894531 6.105469 23.402344 5.875 23.90625 5.875 Z M 20.3125 8.71875 L 23.28125 11.6875 L 11.1875 23.78125 C 10.53125 22.5 9.5 21.46875 8.21875 20.8125 Z M 6.9375 22.4375 C 8.136719 22.921875 9.078125 23.863281 9.5625 25.0625 L 6.28125 25.71875 Z"/>
                            </svg>
                            {{ __('messages.Edit') }}
                        </button>
                        @endcan

                        @can('manage job licenses')
                        <div class="inline-flex">
                            @include('components.modals.delete-modal', ['value' => $job_license->id, 'name' => $job_license->name])
                        </div>
                        @endcan
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
    <div class="mx-2 my-3">
        {{ $job_licenses->links('pagination::tailwind') }}
    </div>
</div>
