<div class="container px-5 py-2 mx-auto lg:pt-12 lg:px-32">
    <div class="flex flex-wrap -m-1 md:-m-2">
        @if ($existing_files_docs)
            @foreach ($existing_files_docs as $index => $file_input)
                <div class="flex flex-wrap mx-auto">
                    <div class="w-full p-1 md:p-2">
                        @if(is_array($file_input) && $file_input['name'])
                            @if (!$readonly)
                                <button
                                    type="button"
                                    class="-mb-[50px] text-black hover:bg-black-700 border border-gray-800 hover:bg-gray-900 hover:text-white rounded-full text-md px-2.5 py-1 text-center"
                                    wire:click="remove_file({{$index}})">
                                    X
                                 </button>
                            @endif
                            @php
                                $ext = pathinfo($file_input['name'], PATHINFO_EXTENSION);
                            @endphp
                            @if($ext == "pdf")
                                <object
                                    class="block object-cover object-center rounded-lg mb-2"
                                    alt="gallery"
                                    data="{{ asset('storage/files/tasks/' . $this->task_id . '/' . $file_input['name']) }}"
                                    width="100%"
                                    height="300px"
                                ></object>
                            @elseif($ext == "doc" ||
                                    $ext == "docx"
                                    )
                                <img
                                    class="block object-cover object-center w-44 h-44 rounded-lg mb-2"
                                    alt="gallery"
                                    src="{{ asset("images/docx.png") }}"
                                >
                            @elseif($ext == "xls" ||
                                    $ext == "xlsx"
                                    )
                                <img
                                    class="block object-cover object-center w-44 h-44 rounded-lg mb-2"
                                    alt="gallery"
                                    src="{{ asset('images/xlsx.png') }}"
                                >
                            @elseif($ext == "png" ||
                                    $ext == "jpg" ||
                                    $ext == "jpeg" ||
                                    $ext == "webp"
                                    )
                                <a
                                    target="_blank"
                                    href="{{ asset('storage/files/tasks/' . $this->task_id . '/' . $file_input['name']) }}"
                                >
                                    <img
                                        class="block object-cover object-center w-44 h-44 rounded-lg mb-2"
                                        alt="gallery"
                                        src="{{ asset('storage/files/tasks/' . $this->task_id . '/' . $file_input['name']) }}"
                                    >
                                </a>
                            @else
                                <img
                                    class="block object-cover object-center w-44 h-44 rounded-lg mb-2"
                                    alt="gallery"
                                    src="{{ asset('images/other_files.svg') }}"
                                >
                            @endif

                            <p data-tooltip-target="tooltip{{$index}}">
                                {{ Str::limit($file_input['name'], 16) }}
                            </p>
                            @if($file_input)
                                <a
                                    class="text-blue-600 hover:text-blue-800 hover:underline"
                                    target="_blank"
                                    href="{{ asset('storage/files/tasks/'. $this->task_id . '/' . $file_input['name']) }}" download>
                                    {{ __('messages.Download') }}
                                </a>
                                <br>
                                @if(Auth::user()->hasPermissionTo('view user tasks') && \App\Helpers\DocumentHelper::getUserTaskDocument($this->task_id, Auth::user()->id,$file_input['id']))
                                    {{--proverka dali e is_read dokumentot  if else --}}
                                    @if(\App\Helpers\DocumentHelper::getUserTaskDocument($this->task_id, Auth::user()->id,$file_input['id'])->is_read == false)
                                        <button wire:click="mark_document({{$file_input['id']}}, 'is_read')"
                                                type="button" class="text-white bg-gradient-to-r from-green-400 via-green-500 to-green-600 hover:bg-gradient-to-br focus:ring-4 focus:outline-none focus:ring-green-300 dark:focus:ring-green-800 font-medium rounded-lg text-sm px-6 py-2.5 text-center mr-2 mb-2">
                                                {{ __('messages.Mark as read') }}
                                        </button>
                                    @else
                                            <button wire:click="mark_document({{$file_input['id']}}, 'is_unread')"
                                                    type="button" class="text-white bg-gradient-to-r from-red-400 via-red-500 to-red-600 hover:bg-gradient-to-br focus:ring-4 focus:outline-none focus:ring-red-300 dark:focus:ring-red-800 font-medium rounded-lg text-sm px-6 py-2.5 text-center mr-2 mb-2">
                                                {{ __('messages.Mark as unread') }}
                                            </button>

                                    @endif
                                @endif
                            @endif
                        @else
                            <button
                                type="button"
                                class="text-black hover:bg-black-700 border border-gray-800 hover:bg-gray-900 hover:text-white rounded-full text-md px-2.5 py-1 text-center"
                                wire:click="remove_file({{$index}})">
                                X
                            </button>
                            @if($file_input->getClientOriginalExtension() == "pdf")
                            <a @if($file_input && is_string($file_input)) href="{{asset("storage/$file_input")}}" @endif>
                                <object
                                    class="block object-cover object-center rounded-lg mb-2"
                                    alt="gallery"
                                    data="
                                        @if($file_input && !is_string($file_input)){{ $file_input->temporaryUrl() }}
                                        @else{{asset("storage/$file_input")}}
                                        @endif
                                        "
                                    width="100%"
                                    height="300px"
                                ></object>
                            </a>

                            @elseif($file_input->getClientOriginalExtension() == "doc" ||
                                    $file_input->getClientOriginalExtension() == "docx"
                                    )
                                <img
                                    class="block object-cover object-center w-44 h-44 rounded-lg mb-2"
                                    alt="gallery"
                                    src="{{ asset("images/docx.png") }}"
                                >
                            @elseif($file_input->getClientOriginalExtension() == "xls" ||
                                    $file_input->getClientOriginalExtension() == "xlsx"
                                    )
                                <img
                                    class="block object-cover object-center w-44 h-44 rounded-lg mb-2"
                                    alt="gallery"
                                    src="{{ asset('images/xlsx.png') }}"
                                >
                            @elseif($file_input->getClientOriginalExtension() == "png" ||
                                    $file_input->getClientOriginalExtension() == "jpg" ||
                                    $file_input->getClientOriginalExtension() == "jpeg" ||
                                    $file_input->getClientOriginalExtension() == "webp"
                                    )
                                <a
                                    target="_blank"
                                    href="{{ $file_input->temporaryUrl() }}"
                                >
                                    <img
                                        class="block object-cover object-center w-44 h-44 rounded-lg mb-2"
                                        alt="gallery"
                                        src="
                                            @if($file_input && !is_string($file_input))
                                                {{ $file_input->temporaryUrl() }}
                                            @else {{ asset("storage/files/$file_input") }}
                                            @endif
                                        "
                                    >
                                </a>
                            @else
                                <img
                                    class="block object-cover object-center w-44 h-44 rounded-lg mb-2"
                                    alt="gallery"
                                    src="{{ asset('images/other_files.svg') }}"
                                >
                            @endif
                            <p data-tooltip-target="tooltip{{$index}}">
                                {{ Str::limit($file_input->getClientOriginalName(), 16) }}
                            </p>
                            @if($file_input)
                                <a
                                    class="text-blue-600 hover:text-blue-800 hover:underline"
                                    target="_blank"
                                    href="{{ $file_input->temporaryUrl() }}" download>
                                    {{ __('messages.Download') }}
                                </a>
                            @endif
                        @endif
                    </div>
                </div>
            @endforeach
        @endif
    </div>
</div>
