<div class="container mx-auto px-6">
    <form wire:submit.prevent="submit">
        @csrf
        <section class="text-gray-600 body-font">
            <div class="container mx-auto flex px-5 py-5 md:flex-row flex-col justify-center items-start">
                <div class="lg:max-w-lg lg:w-full md:w-1/2 w-5/6 mb-10 md:mb-0 flex flex-col justify-center">
                    <div class="grid md:grid-cols-2 md:gap-6">
                        <div class="relative z-0 mb-6 w-full group">
                            <input type="text" name="floating_first_name" wire:model.defer="first_name" class="block py-2.5 px-0 w-full text-sm text-gray-900 bg-transparent dark:text-white border-0 border-b-2 border-gray-300 appearance-none    focus:outline-none focus:ring-0 focus:border-blue-600 peer" placeholder=" "  />
                            <label for="floating_first_name" class="peer-focus:font-medium absolute text-sm text-gray-500  duration-300 transform -translate-y-6 scale-75 top-3 -z-10 origin-[0] peer-focus:left-0 peer-focus:text-blue-600 peer-focus:dark:text-blue-500 peer-placeholder-shown:scale-100 peer-placeholder-shown:translate-y-0 peer-focus:scale-75 peer-focus:-translate-y-6">
                                {{ __('messages.First name') }}
                            </label>
                            <x-jet-input-error for="first_name" />
                        </div>
                        <div class="relative z-0 mb-6 w-full group">
                            <input type="text" name="floating_last_name" wire:model.defer="last_name" class="block py-2.5 px-0 w-full text-sm text-gray-900 bg-transparent dark:text-white border-0 border-b-2 border-gray-300 appearance-none focus:outline-none focus:ring-0 focus:border-blue-600 peer" placeholder=" "/>
                            <label for="floating_last_name" class="peer-focus:font-medium absolute text-sm text-gray-500  duration-300 transform -translate-y-6 scale-75 top-3 -z-10 origin-[0] peer-focus:left-0 peer-focus:text-blue-600 peer-focus:dark:text-blue-500 peer-placeholder-shown:scale-100 peer-placeholder-shown:translate-y-0 peer-focus:scale-75 peer-focus:-translate-y-6">
                                {{ __('messages.Last name') }}
                            </label>
                            <x-jet-input-error for="last_name" />
                        </div>
                    </div>

                    <div class="grid md:grid-cols-2 md:gap-6">
                        <div class="relative z-0 mb-6 w-full group">
                            <input type="text" name="floating_username" wire:model.defer="username" class="block py-2.5 px-0 w-full text-sm text-gray-900 bg-transparent dark:text-white border-0 border-b-2 border-gray-300 appearance-none focus:outline-none focus:ring-0 focus:border-blue-600 peer" placeholder=" "  />
                            <label for="floating_username" class="peer-focus:font-medium absolute text-sm text-gray-500  duration-300 transform -translate-y-6 scale-75 top-3 -z-10 origin-[0] peer-focus:left-0 peer-focus:text-blue-600 peer-focus:dark:text-blue-500 peer-placeholder-shown:scale-100 peer-placeholder-shown:translate-y-0 peer-focus:scale-75 peer-focus:-translate-y-6">
                                {{ __('messages.Username') }}
                            </label>
                            <x-jet-input-error for="username" />
                        </div>

                        <div class="relative z-0 mb-6 w-full group">
                            <input type="email" name="floating_email" wire:model.defer="email" class="block py-2.5 px-0 w-full text-sm text-gray-900 bg-transparent dark:text-white border-0 border-b-2 border-gray-300 appearance-none focus:outline-none focus:ring-0 focus:border-blue-600 peer" placeholder=" "  />
                            <label for="floating_email" class="peer-focus:font-medium absolute text-sm text-gray-500  duration-300 transform -translate-y-6 scale-75 top-3 -z-10 origin-[0] peer-focus:left-0 peer-focus:text-blue-600 peer-focus:dark:text-blue-500 peer-placeholder-shown:scale-100 peer-placeholder-shown:translate-y-0 peer-focus:scale-75 peer-focus:-translate-y-6">
                                {{ __('messages.Email address') }}
                                </label>
                            <x-jet-input-error for="email" />
                        </div>
                    </div>

                    <div class="relative z-0 mb-6 w-full group">
                        <input type="text" name="phone" wire:model.defer="phone" class="block py-2.5 px-0 w-full text-sm text-gray-900 bg-transparent dark:text-white border-0 border-b-2 border-gray-300 appearance-none focus:outline-none focus:ring-0 focus:border-blue-600 peer" placeholder=" "  />
                        <label for="floating_phone" class="peer-focus:font-medium absolute text-sm text-gray-500  duration-300 transform -translate-y-6 scale-75 top-3 -z-10 origin-[0] peer-focus:left-0 peer-focus:text-blue-600 peer-focus:dark:text-blue-500 peer-placeholder-shown:scale-100 peer-placeholder-shown:translate-y-0 peer-focus:scale-75 peer-focus:-translate-y-6">
                            {{ __('messages.Phone') }}
                        </label>
                        <x-jet-input-error for="phone" />
                    </div>
                </div>

                <div class="w-full items-end flex justify-end">
                    <div class="relative z-0 mb-6 w-full group">
                        <div class="lg:flex-grow lg:w-full md:w-1/2 w-5/6 lg:pl-24 md:pl-16 flex flex-col md:items-start md:text-left">
                            <div class="relative z-0 mb-6 w-full group">
                                <div class="w-full">
                                    <label class="form-label inline-block text-md text-gray-600 dark:text-gray-400" for="jobDescriptionSelect">
                                        {{ __('messages.Select Job Descriptions') }}
                                    </label>
                                    <div class="relative flex w-full">
                                        <select
                                            wire:model.defer="jobDescription"
                                            autocomplete="off"
                                            class="block w-full text-gray-900 bg-gray-50 rounded-md border border-gray-300 focus:ring-blue-500 focus:border-blue-500 dark:bg-slate-700 dark:border-gray-700 dark:placeholder-gray-400 dark:text-white dark:focus:ring-gray-500 dark:focus:border-gray-500"
                                            >
                                            <option value="" selected>{{ __('messages.Select Job Descriptions') }}...</option>
                                            @foreach ($jobDescriptions as $jobDescription)
                                                <option value="{{ $jobDescription->id }}">{{ $jobDescription->name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                    <x-jet-input-error for="jobDescription" />
                                </div>
                            </div>
                        </div>

                        <div class="lg:flex-grow lg:w-full md:w-1/2 w-5/6 lg:pl-24 md:pl-16 flex flex-col md:items-start md:text-left">
                            <div class="relative z-0 mb-6 w-full group">
                                <div class="w-full">
                                    <div>
                                        <label class="form-label inline-block text-md text-gray-600 dark:text-gray-400" for="jobLicenseSelect">
                                            {{ __('messages.Select Job Licenses') }}
                                        </label>
                                        <div class="relative flex w-full" wire:ignore>
                                            <select
                                                class="form-select block w-full rounded-sm cursor-pointer focus:outline-none"
                                                id="jobLicenseSelect"
                                                multiple="multiple"
                                                >
                                                @foreach ($jobLicenses as $jobLicense)
                                                    <option value="{{ $jobLicense->id }}">
                                                        {{ $jobLicense->name }}
                                                    </option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <x-jet-input-error for="selectedJobLicenses" />
                                </div>
                            </div>
                        </div>

                        <div class="lg:flex-grow lg:w-full md:w-1/2 w-5/6 lg:pl-24 md:pl-16 flex flex-col md:items-start md:text-left">
                            <div class="relative z-0 mb-6 w-full group">
                                <div class="w-full">
                                    <div>
                                        <label class="form-label form-label inline-block text-md text-gray-600 dark:text-gray-400" for="roleSelect">
                                            {{ __('messages.Select User Roles') }}
                                        </label>
                                        <div class="relative flex w-full" wire:ignore>
                                            <select
                                                class="form-select block w-full rounded-lg cursor-pointer focus:outline-none"
                                                id="roleSelect"
                                                multiple="multiple"
                                                >
                                                @foreach ($roles as $role)
                                                    <option value="{{ $role->id }}">
                                                        {{ $role->name }}
                                                    </option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <x-jet-input-error for="selectedRoles" />
                                </div>
                            </div>
                        </div>

                        <div class="lg:flex-grow lg:w-full md:w-1/2 w-5/6 lg:pl-24 md:pl-16 flex flex-col md:items-start md:text-left">
                            <div class="relative z-0 mb-6 w-full group">
                                <div class="w-full">
                                    <div>
                                        <label class="form-label form-label inline-block text-md text-gray-600 dark:text-gray-400" for="jobAuthorizationSelect">
                                            {{ __('messages.Select Job Authorizations') }}
                                        </label>
                                        <div class="relative flex w-full" wire:ignore>
                                            <select
                                                class="form-select block w-full rounded-sm cursor-pointer focus:outline-none"
                                                id="jobAuthorizationSelect"
                                                multiple="multiple"
                                                >
                                                @foreach ($jobAuthorizations as $jobAuthorization)
                                                    <option value="{{ $jobAuthorization->id }}">
                                                        {{ $jobAuthorization->name }}
                                                    </option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <x-jet-input-error for="selectedJobAuthorizations" />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="w-full items-end flex justify-end">
                <span class="inline-flex rounded-md">
                    <a
                        href="{{ route('users.index') }}"
                        type="button"
                        class="text-gray-900 bg-white border border-gray-300 focus:outline-none hover:bg-gray-100 focus:ring-4 focus:ring-gray-200 font-medium rounded-lg text-md px-5 py-2.5 mr-2 dark:bg-gray-800 dark:text-white dark:border-gray-600 dark:hover:bg-gray-700 dark:hover:border-gray-600 dark:focus:ring-gray-700">
                        <span>{{ __('messages.Cancel') }}</span>
                    </a>
                </span>
                <br>
                <span class="inline-flex rounded-md">
                    <button
                        type="submit"
                        class="inline-flex items-center justify-center border border-transparent text-base leading-6 font-medium rounded-lg text-md px-5 py-2.5 text-white bg-blue-700 hover:bg-blue-800 focus:outline-none focus:border-blue-800 focus:shadow-outline-blue active:bg-blue-700 transition duration-150 ease-in-out disabled:opacity-50">
                        <svg wire:loading wire:target="submit" class="animate-spin -ml-1 mr-3 h-5 w-5 text-white" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24">
                            <circle class="opacity-25" cx="12" cy="12" r="10" stroke="currentColor" stroke-width="4"></circle>
                            <path class="opacity-75" fill="currentColor"
                                d="M4 12a8 8 0 018-8V0C5.373 0 0 5.373 0 12h4zm2 5.291A7.962 7.962 0 014 12H0c0 3.042 1.135 5.824 3 7.938l3-2.647z">
                            </path>
                        </svg>
                        <span>{{ __('messages.Submit') }}</span>
                    </button>
                </span>
            </div>
        </section>
    </form>
</div>

@push('scripts')
<script>
    document.addEventListener('livewire:load', function (event) {
        $('#jobLicenseSelect').select2({
            placeholder: "{{ __('messages.Select Job Licenses') }}...",
            initSelection: function(element, callback) {
            }
        });

        $('#jobLicenseSelect').on('change', function (e) {
            @this.set('selectedJobLicenses', $(this).val());
        });

        $('#roleSelect').select2({
            placeholder: "{{ __('messages.Select User Roles') }}...",
            initSelection: function(element, callback) {
            }
        });

        $('#roleSelect').on('change', function (e) {
            @this.set('selectedRoles', $(this).val());
        });

        $('#jobAuthorizationSelect').select2({
            placeholder: "{{ __('messages.Select Job Authorizations') }}...",
            initSelection: function(element, callback) {
            }
        });

        $('#jobAuthorizationSelect').on('change', function (e) {
            @this.set('selectedJobAuthorizations', $(this).val());
        });
    });
</script>
@endpush
