<div>
    <div class="flex flex-col mt-8">
        <?php echo $__env->make('components.notifications.notification_message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <div class="overflow-x-auto relative shadow-md sm:rounded-lg">
            <div class="flex items-center pb-4">
                <label for="table-search" class="sr-only">Search</label>
                <div class="relative">
                    <div class="flex absolute inset-y-0 left-0 items-center pl-3 pointer-events-none">
                        <svg class="w-5 h-5 text-gray-500 dark:text-gray-400" aria-hidden="true" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M8 4a4 4 0 100 8 4 4 0 000-8zM2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8z" clip-rule="evenodd"></path></svg>
                    </div>
                    <input
                        wire:model="search"
                        type="search" placeholder="<?php echo e(__('messages.Search users')); ?>"
                        type="text"
                        id="table-search"
                        class="block p-2 pl-10 w-80 text-sm text-gray-900 bg-gray-50 rounded-lg border border-gray-300 focus:ring-blue-500 focus:border-blue-500 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
                        placeholder="Search for user"
                        >
                </div>
                <div class="ml-12 w-64">
                    <select
                        wire:model="role"
                        placeholder="<?php echo e(__('messages.Select Role')); ?>..."
                        autocomplete="off"
                        
                        class="inline-flex items-center w-full text-gray-500 bg-white border border-gray-300 focus:outline-none hover:bg-gray-100 focus:ring-4 focus:ring-gray-200 font-medium rounded-lg text-sm px-3 py-1.5 dark:bg-gray-700 dark:text-white dark:border-gray-600 dark:hover:bg-gray-600 dark:hover:border-gray-600 dark:focus:ring-gray-700"
                        >
                        <option value=""><?php echo e(__('messages.Select Role')); ?></option>
                        <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($role->name); ?>"><?php echo e($role->name); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
            </div>
            <table class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
                <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
                    <tr>
                        <th scope="col" class="px-6 py-3">
                            <?php echo e(__('messages.FullName')); ?>

                        </th>
                        <th scope="col" class="px-6 py-3">
                            <?php echo e(__('messages.Username')); ?>

                        </th>
                        <th scope="col" class="px-6 py-3">
                            <?php echo e(__('messages.Email')); ?>

                        </th>
                        <th scope="col" class="px-6 py-3">
                            <?php echo e(__('messages.Roles')); ?>

                        </th>
                        <th scope="col" class="px-6 py-3 text-center">
                            <?php echo e(__('messages.Actions')); ?>

                        </th>
                    </tr>
                </thead>
                <tbody>
                <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr class="bg-white border-b dark:bg-gray-800 dark:border-gray-700 hover:bg-gray-50 dark:hover:bg-gray-600">
                        <th scope="row" class="px-6 py-1 font-medium text-gray-900 whitespace-nowrap dark:text-white">
                            <?php echo e($user->userData->full_name); ?>

                        </th>
                        <th scope="row" class="px-6 py-1 font-medium text-gray-900 whitespace-nowrap dark:text-white">
                            <?php echo e($user->username); ?>

                        </th>
                        <td class="px-6 py-1">
                            <?php echo e($user->email); ?>

                        </td>
                        <td class="px-6 py-1">
                            <?php $__currentLoopData = $user->roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $roles): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <span
                                    class="inline-flex px-2 text-sm font-semibold leading-5 text-green-800 bg-green-100 rounded-full">
                                    <?php echo e($roles->name); ?>

                                </span>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </td>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('manage users')): ?>
                        <td class="text-center px-6 py-1">
                            <div class="inline-flex">
                                <?php echo $__env->make('components.modals.restore-modal', ['value' => $user->id, 'name' => $user->username], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                            </div>
                            <div class="inline-flex">
                                <?php echo $__env->make('components.modals.delete-modal', ['value' => $user->id, 'name' => $user->username], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                            </div>
                        </td>
                        <?php endif; ?>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
        <div class="row">
            <div class="col-md-12">
                <?php echo e($users->links('pagination::tailwind')); ?>

            </div>
        </div>
    </div>
</div>
<?php /**PATH /home/ucodersnet/public_html/mnav/resources/views/livewire/users/user-archive-table.blade.php ENDPATH**/ ?>